#!/bin/bash
#################################
# Admin SPHYNX
# Mode Dialog
# LB 01/2003 Eole Dijon
#################################
# Initialisation des variables
# Avec verification dans l'Environnement 
RepEole=${RepEole="/usr/share/eole"}
export PATH=$PATH:/sbin

# Mode Dialog Graphique
ModeDialog=${ModeDialog=oui}
if [ "$ModeDialog" == "oui" ]
then
export DIALOGRC=$RepEole/.dialogrc
export ECHO=InfoBox2
fi
service gpm status >/dev/null
if [ $? -ne 0 ]
then
#	NOMOUSE="--nomouse"
	NOMOUSE=""
fi

TitreGen="Eole  -  Gestion Serveur SPHYNX "
# Appel Bibliothèque
[ -x $RepEole/FonctionsEole ] || {
        echo "Pas de bibliotheque Eole !"
        exit 1
	}
. $RepEole/FonctionsEole

Question()
{
InputBox "$1" Rep
if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
exit 1
fi
}

Entree(){
echo
echo  "Tapez <Entree>"
read Bidon
}

FileCpt="$Tmp/SphynX$TmpSuff"
touch $FileCpt


Rep=""
while [ 1 ]
do
MenuBox "Votre Choix"  Rep "1 Diagnostique_SPHYNX 2 Reconfiguration 3 Mise_A_Jour_Reseau 5 Paquets_en_Maj 9 Arret_Serveur  Q Quitter"

if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
exit 1
fi
case $Rep in
	1) 
	/usr/bin/diagnose 
	Entree
	;;
	2) 
	/usr/bin/reconfigure 
	Entree
	;;
	#3) 
	#/usr/bin/Maj-Cd
        #echo
	#echo
	#echo
	#echo -e "       *****************************************************************"
	#echo -e "       *                                                               *"
	#echo -e "       * Vous devez exécuter la commande \"/usr/share/eole/reconfigure\" *"
	#echo -e "       *pour que les modifications soient entièrement prises en charge *"
	#echo -e "       *                                                               *"
	#echo -e "       *****************************************************************"
	#echo
	#echo
	#echo
	#echo  "Frappez <Entree>" 
	#read  Bidon
	#;;
	3) 
	/usr/bin/Maj-Auto
        echo
	echo
	echo
	echo -e "       *****************************************************************"
	echo -e "       *                                                               *"
	echo -e "       * Vous devez exécuter la commande \"/usr/share/eole/reconfigure\" *"
	echo -e "       *pour que les modifications soient entièrement prises en charge *"
	echo -e "       *                                                               *"
	echo -e "       *****************************************************************"
	echo
	echo
	echo
	Entree
	;;
	5)
	/usr/bin/Query-Auto
	Entree
	;;
	9)
	QuestionBox "Vous avez demandé un arret total du serveur\nEtes vous sur ?" Rep
	if [ "$Rep" == "OUI" ] 
	then
	/sbin/halt
	exit 0
	fi
	;;
	Q)
	exit 0
	;;

esac
done
