#!/bin/bash
#################################################
# sphynx.sh
# script de configuration de sphynx
# execute par instance-sphynx
# $Id: sphynx.sh,v 1.4 2005/01/11 16:31:23 sam Exp $
#################################################

. ParseDico

# Prise en compte du nom d'hôte
sysctl -w kernel.hostname=$nom_machine
sysctl -w kernel.domainname=$nom_domaine_local



# On genere un bi-clef rsa sur chaque machine si il n'existe pas
if [ ! -e /root/.ssh/id_rsa.pub ] &&
        [ ! -e /root/.ssh/id_rsa ]
	then
	        ssh-keygen -t rsa -b 2048 -f /root/.ssh/id_rsa -N "" -q
fi

## Haute Dispo ##
#On test si la base existe. Si c'est le cas, et que la haute dispo est activee, on lance le script d'update de la base
if [ -e "$RepSphynx/xml/sphynx.xml" ]
then
	if [ "$haute_dispo" != "non" ]
	then 
		cd /usr/share/eole/sphynx-vpn/tunnel
		./haute_dispo
	fi
fi	
