#!/bin/bash

. ParseDico

RepFreeswan="/etc/freeswan/"
RepBase="/usr/share/eole/sphynx-vpn/xml/"

if [ ! -e /etc/ha.d/.hdinitilise ]
then
	if [ $haute_dispo == "maitre" ]
	then 
		scp /root/.ssh/id_rsa.pub root@$adresse_ip_esclave_eth2:.ssh/authorized_keys
		touch /etc/ha.d/.hdinitilise
	elif [ $haute_dispo == "esclave"]
	then
		 scp /root/.ssh/id_rsa.pub root@$adresse_ip_maitre_eth2:.ssh/authorized_keys
		touch /etc/ha.d/.hdinitilise
	fi
fi
if [ $haute_dispo == "maitre" ]
then 
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete $RepBase $adresse_ip_esclave_eth2:$RepBase
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete /usr/share/eole/sphynx-vpn/cfg/ $adresse_ip_esclave_eth2:/usr/share/eole/sphynx-vpn/cfg/
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete $RepFreeswan $adresse_ip_esclave_eth2:$RepFreeswan
	##Changement ip eth0 par celle de l'esclave dans la base xml
	ssh root@$serveur "/bin/sed s/"right=$adresse_ip_eth0"/"right=$adresse_ip_escalve_eth0"/g $RepBase/sphynx.xml > $RepBase/sphynx.xml.tmp; mv -f $RepBase/sphynx.xml.tmp $RepBase/sphynx.xml;"

elif [ $haute_dispo == "esclave"]
	then
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete $RepBase $adresse_ip_maitre_eth2:$RepBase
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete /usr/share/eole/sphynx-vpn/cfg/ $adresse_ip_maitre_eth2:/usr/share/eole/sphynx-vpn/cfg/
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete $RepFreeswan $adresse_ip_maitre_eth2:$RepFreeswan
	##Changement ip eth0 par celle du maitre dans la base xml
	ssh root@$serveur "/bin/sed s/"right=$adresse_ip_eth0"/"right=$adresse_ip_maitre_eth0"/g $RepBase/sphynx.xml > $RepBase/sphynx.xml.tmp; mv -f $RepBase/sphynx.xml.tmp $RepBase/sphynx.xml;"
	
fi
