#! /usr/bin/env python
# -*- coding: iso-8859-1 -*-
from zephir.lib_zephir import *
from zephir.zephir_conf.zephir_conf import id_serveur, adresse_zephir
import sys,xmlrpclib

try:
    # arguments
    login=sys.argv[1]
    passwd=sys.argv[2]
    num_amon=sys.argv[3]
    zephir=xmlrpclib.ServerProxy("https://%s:%s@%s:7080" % (login,passwd,adresse_zephir), transport=TransportEole())
    # récupération de la configuration de l'amon
    module_amon = convert(zephir.serveurs.get_serveur(int(num_amon)))[1][0]['module_actuel']
    version = convert(zephir.modules.get_module(int(module_amon)))[1][0]['version']
    conf_amon = convert(zephir.serveurs.get_config(int(num_amon),True))
    # si récupération ok
    if conf_amon[0] == 1:
        if version == 1:
            # module Eole1
            data = ["%%\n"]
            # on génère un faux fichier de conf (amon-X.eol) avec les variables et valeurs
            for var,val in conf_amon[1].items():
                data.append("%s@@%s#\n" % (var,val))
            # écriture du fichier config.eol
            f=open('/home/data/config-'+num_amon+'.eol',"w")
            f.writelines(data)
            f.close()
        else:
            # module EoleNG
            from ConfigParser import ConfigParser
            c = ConfigParser()
            for var,val in conf_amon[1].items():
                c.add_section(var)
                if type(val) != list:
                    val=[val]
                c.set(var,'val',val)
            # sauvegarde du fichier
            f=open('/home/data/config-'+num_amon+'.eol',"w")
            c.write(f)
            f.close()
    else:
        raise Exception('erreur zephir')
except:
    # erreur de récupération
    sys.exit("erreur de récupération de config.eol sur zephir")
