#! /usr/bin/env python
# -*- coding: iso-8859-1 -*-
from zephir.lib_zephir import *
from zephir.zephir_conf.zephir_conf import id_serveur, adresse_zephir
import sys,xmlrpclib

try:
    # arguments
    login=sys.argv[1]
    passwd=sys.argv[2]
    num_amon=sys.argv[3]
    archive=sys.argv[4]
    zephir=xmlrpclib.ServerProxy("https://%s:%s@%s:7080" % (login,passwd,adresse_zephir), transport=TransportEole())
    # lecture du fichier tar en mode binaire
    f = open(archive, 'rb')
    str_obj = xmlrpclib.base64.encodestring(f.read())
    f.close()
    # envoi de l'archive
    res = convert(zephir.uucp.sphynx_add(id_serveur,int(num_amon),str_obj))
    if res[0] != 1:
        sys.exit("erreur d'envoi à zephir : %s" % str(res[1]))
except:
    # erreur de récupération
    sys.exit("erreur d'envoi de la configuration sur zephir")
